Topic
  • 5 replies
  • Latest Post - ‏2013-06-09T08:22:05Z by SantoshKumarDubey
anishmadan123
anishmadan123
1 Post

Pinned topic MDM 8.5 WorkBench Instalation and USE

‏2011-01-20T07:31:55Z | mdm-migration
Hi I tried installaing the MDM 8.5 workbench on RAD 7.0.0 and tried to do the extension But am getting a error at the time of the code generation
"Errors logged during code generation java.lang.NoClassDefFoundError: org.eclipse.jet.JET2Platform" , I tried to talk with the IBM support Guys they said only 7.0.0.6 is supported for MDM8.5 workbench

I tried the same on RAD 8.0 also but there also at the time of installing the workbecnh I got the error

"Cannot complete the install because one or more required items could not be found.
Software being installed: User Interface Generator for IBM InfoSphere MDM Server 8.5.0.200811070455 (com.ibm.mdm.ui.generator.feature.feature.group 8.5.0.200811070455)
Missing requirement: IBM InfoSphere Master Data Management Server User Modelling UML Profile 8.5.0.200811070455 (com.ibm.mdm.ui.generator.models.uml.profiles.feature.feature.group 8.5.0.200811070455) requires 'com.ibm.xtools.modeler 0.0.0' but it could not be found
"

PLZ TELL ME WHAT IS THE ALTERNATE TO INSTALL MDM 8.5 WORKBENCH ON , SINCE I DONT HAVE RAD 7.0.0.6

PLZ SUGGECT I NEED TO DO DELIVERY!
  • SystemAdmin
    SystemAdmin
    938 Posts

    Re: MDM 8.5 WorkBench Instalation and USE

    ‏2011-01-20T10:02:42Z  
    Hi,

    Version 8.5 of the MDM Workbench will only work on the correct version of RAD/RSA. This requirements table confirms that 7.0.0.6 is the version you need (RAD/RSA version 7.5 or 8.0 will definitely not work). Unfortunately the workbench prereqs are very specific and it's not always obvious when they're not met, so it's worth following the advice from the IBM support team.

    If you already have RAD 7.0.0 you should be able to upgrade to the required fix level as described in the RAD 7.0.0.6 Release Information.

    Hope that helps but please post again if you have any difficulty upgrading to the right version of RAD.

    Regards, James
  • SystemAdmin
    SystemAdmin
    938 Posts

    Re: MDM 8.5 WorkBench Instalation and USE

    ‏2011-01-20T10:16:59Z  
    Hi,

    MDM 8.5 cannot be installed and run on RSA/RAD 8.0.

    In RSA/RAD 7.0.0.0 there was a JET bug, which is the cause of the error you are seeing. 7.0.0.6 is the fixpack that includes the fix for that bug. You should be able to install that fixpack, or a later one, using Installation Manager. You can also download fixpacks from the IBM Support web site (from www.ibm.com, Support - Search - find the product in the A-Z list and then go to Downloads).

    If for some reason you absolutely cannot get hold of the fixpack for RAD 7.0, there was a workaround for the JET bug .. unfortunately I can't remember exactly what it was, but try editing the MDM/META-INF/MANIFEST.MF file and adding the line Bundle-SymbolicName: mdm

    Hope that helps, Catherine.
  • anishmadan1234
    anishmadan1234
    1 Post

    Re: MDM 8.5 WorkBench Instalation and USE

    ‏2011-01-21T01:01:39Z  
    Hi,

    MDM 8.5 cannot be installed and run on RSA/RAD 8.0.

    In RSA/RAD 7.0.0.0 there was a JET bug, which is the cause of the error you are seeing. 7.0.0.6 is the fixpack that includes the fix for that bug. You should be able to install that fixpack, or a later one, using Installation Manager. You can also download fixpacks from the IBM Support web site (from www.ibm.com, Support - Search - find the product in the A-Z list and then go to Downloads).

    If for some reason you absolutely cannot get hold of the fixpack for RAD 7.0, there was a workaround for the JET bug .. unfortunately I can't remember exactly what it was, but try editing the MDM/META-INF/MANIFEST.MF file and adding the line Bundle-SymbolicName: mdm

    Hope that helps, Catherine.
    Hi,

    THanks for responding,

    Please if you can proide me the exaclty how that issue of the JET extensibilty bug can be solved using the RAD 7.0 it would be very helpful

    I didnt get where in meta inf file we need to make this entry

    Anish Madan
  • SystemAdmin
    SystemAdmin
    938 Posts

    Re: MDM 8.5 WorkBench Instalation and USE

    ‏2011-01-21T10:06:39Z  
    Hi,

    THanks for responding,

    Please if you can proide me the exaclty how that issue of the JET extensibilty bug can be solved using the RAD 7.0 it would be very helpful

    I didnt get where in meta inf file we need to make this entry

    Anish Madan
    Hi,

    Try adding the line in the middle somewhere. The order of lines is not significant I think. If anything goes wrong, just take it out again.

    Hope that helps, Catherine.
  • SantoshKumarDubey
    SantoshKumarDubey
    2 Posts

    Re: MDM 8.5 WorkBench Instalation and USE

    ‏2013-06-09T08:22:05Z  
    Hi,

    Try adding the line in the middle somewhere. The order of lines is not significant I think. If anything goes wrong, just take it out again.

    Hope that helps, Catherine.

    Errors logged during code generation  java.lang.NoClassDefFoundError: org.eclipse.jet.JET2Platform

    Still not sure what is reason for this issue and how it gets fixed by entry in file (MDM/META-INF/MANIFEST.MF line Bundle-SymbolicName: mdm).

     

    Worked for me thanks...